AC Gitolite not compatible with AC V4.1.3

were getting this error after updating to AC v4.1.3

“/usr/lib/cgi-bin/php5-fcgi” stderr: PHP message: PHP Fatal error: Call to undefined method ProjectSourceRepository::canAdd() in /var/www/activecollab/custom/modules/ac_gitolite/controllers/ProjectTrackingGitoliteController.class.php on line 73, referer: https://projekt.welance.de/public/index.php?path_info=

Can you please fix this.

@welance issue is with AC v4.1.3, we are looking into it and will fix it asap.

@welance we just release gitolite module v1.3.9.1 for ActiveCollab 4.1.4 compatibility issues.

Please download it from my-account page

now it works for admins. But not for other roles.

Thx

Can you please take a look why it’s not working for other roles then admin.

thx alot

@welance i checked on our demo site, its working.
you can check it here

If its still not working then send me your access detail (ActiveCollab + server ssh) in private reply or mail me on faishal.saiyed@rtcamp.com

apache error.log

FastCGI: server “/usr/lib/cgi-bin/php5-fcgi” stderr: PHP message: PHP Fatal error: Call to undefined method ProjectSourceRepository::canAdd() in /var/www/activecollab/custom/modules/ac_gitolite/controllers/ProjectTrackingGitoliteController.class.php on line 73, referer: https://xxx/public/index.php?path_info=projects/icestormtv/repositories

@welance Sorry my bad. I just release gitolite module v1.3.9.2
Please update it and let me know.

Please download it from my-account page

Yes it works.

Thx Quick fixing. Very Good Support.

best wishes from Germany - Berlin

solved

@welance thanks for your feedback. :slight_smile: